All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.publicobject
Interface TransportProcessorInterface

All Superinterfaces:
  com.sas.services.information.publicobject.ProcessorInterface, java.rmi.Remote

    public interface TransportProcessorInterface

extends com.sas.services.information.publicobject.ProcessorInterface

TransportProcessorInterface is used to define the actions/processes used to move or change locational information about an object.

Field Summary
`static java.lang.String` | `NAME` The name of this interface.

Method Summary
`void` | `copy()` Copy this object to a new instance.
`void` | `delete()` Delete an object from the system.
`void` | `exportObject()` Export this object from the system.
`void` | `importObject()` Import this objet into the system.
`void` | `move(PublicObjectContainerInterface target)` Move this object to a new location.
`void` | `paste()` Insert a new instance of an object.
`void` | `rename(java.lang.String newName)` Give this object a new unique name.

Field Detail

### NAME

    static final java.lang.String NAME

  The name of this interface.

  See Also:
    Constant Field Values

Method Detail

### delete

    void delete()
                throws ServiceException,
                       java.rmi.RemoteException

  Delete an object from the system.

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### rename

    void rename(java.lang.String newName)
                throws ServiceException,
                       java.rmi.RemoteException

  Give this object a new unique name.

  Parameters:
    `newName` -
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### move

    void move(PublicObjectContainerInterface target)
              throws ServiceException,
                     java.rmi.RemoteException

  Move this object to a new location.

  Parameters:
    `target` -
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### exportObject

    void exportObject()
                      throws ServiceException,
                             java.rmi.RemoteException

  Export this object from the system.

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### importObject

    void importObject()
                      throws ServiceException,
                             java.rmi.RemoteException

  Import this objet into the system.

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### copy

    void copy()
              throws ServiceException,
                     java.rmi.RemoteException

  Copy this object to a new instance.

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### paste

    void paste()
               throws ServiceException,
                      java.rmi.RemoteException

  Insert a new instance of an object.

  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.